<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Create an external table</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for createExternalTable {SparkR}"><tr><td>createExternalTable {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Create an external table</h2>

<h3>Description</h3>

<p>Creates an external table based on the dataset in a data source,
Returns the DataFrame associated with the external table.
</p>


<h3>Usage</h3>

<pre>
createExternalTable(sqlContext, tableName, path = NULL, source = NULL, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>tableName</code></td>
<td>
<p>A name of the table</p>
</td></tr>
<tr valign="top"><td><code>path</code></td>
<td>
<p>The path of files to load</p>
</td></tr>
<tr valign="top"><td><code>source</code></td>
<td>
<p>the name of external data source</p>
</td></tr>
</table>


<h3>Details</h3>

<p>The data source is specified by the 'source' and a set of options(...).
If 'source' is not specified, the default data source configured by
&quot;spark.sql.sources.default&quot; will be used.
</p>


<h3>Value</h3>

<p>DataFrame
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
df &lt;- sparkRSQL.createExternalTable(sqlContext, "myjson", path="path/to/json", source="json")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
